> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Haulers

> List third party haulers.



## OpenAPI

````yaml /spec/oas.yaml get /haulers
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /haulers:
    get:
      tags:
        - Haulers
      summary: List Haulers
      description: List third party haulers.
      operationId: haulers_list_haulers
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: false
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
        - name: page_index
          in: query
          required: false
          schema:
            type: integer
            description: Paged results page index (starting from 1).
        - name: page_limit
          in: query
          required: false
          schema:
            type: integer
            description: Maximun number of results per page.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThirdPartyHaulerListModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    ThirdPartyHaulerListModel:
      type: object
      description: Third party hauler list (paged).
      properties:
        current_limit:
          type: integer
          description: Maximun number of results per page.
        current_page:
          type: integer
          description: Paged results page index (starting from 1).
        results:
          $ref: '#/components/schemas/ThirdPartyHaulerModelArray'
        total_count:
          type: integer
          description: Paged results total viewable records.
        total_pages:
          type: integer
          description: Paged results total pages.
      required:
        - current_limit
        - current_page
        - results
        - total_count
        - total_pages
    ThirdPartyHaulerModelArray:
      type: array
      items:
        $ref: '#/components/schemas/ThirdPartyHaulerModel'
    ThirdPartyHaulerModel:
      type: object
      description: Third party hauler profile.
      properties:
        id:
          type: string
          format: uuid
          description: Third party hauler identifier.
        name:
          type: string
          description: Name (free text).
      required:
        - id
        - name
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````